import { jsx } from "react/jsx-runtime";
import { LineSegmentIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const LineSegment = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "LineSegment", ...props, children: /* @__PURE__ */ jsx(LineSegmentIcon, { weight: variant }) });
  }
);
LineSegment.displayName = "LineSegment";
Object.assign(LineSegment, { isGdsIcon: true });
export {
  LineSegment
};
